export var __esModule: boolean;
export default VideoRecorder;
declare const VideoRecorder_base: any;
declare class VideoRecorder extends VideoRecorder_base {
    [x: string]: any;
    constructor(props: any);
    state: {
        isDisplayQuoteInstruction: boolean;
        isWithQuote: boolean;
        isWithOutQuote: boolean;
        isDisplayInstruction: boolean;
        torchon: string;
        isDisplayCameraPreview: boolean;
        isDisplayCamera: boolean;
        localPath: string;
        flashState: any;
        dateAndTime: string;
        currentLongitude: string;
        currentLatitude: string;
        isDisplayVideoRecorder: boolean;
        fullDataSource: string;
        assets: string;
        headerShown: boolean;
        count: any;
        dataSource: string;
        cameraState: string;
        buttonText: string;
        skipdata: string;
        isBackButtonPressed: boolean;
        isSkipButtonPressed: boolean;
        screenShotPath: string;
        isDisplayUploadDocument: boolean;
        upLoadIamgeDataSource: never[];
        documentUploadPercentage: number;
        odometerReading: string;
        ANDROID_ID: string;
        CurrentDate: string;
        showError: boolean;
        isLoading: boolean;
        registrationNumber: string;
        isSelected: boolean;
        isFocused: boolean;
        staincil: any;
        productImage: any;
        extention: any;
        stepTitle: any;
        instructionData: any;
    };
    startRecording(): Promise<void>;
    stopRecording(): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): any;
    camera: any;
    getStencilView(): any;
    toggleTorch(): void;
    getFlashTorch(activeFlashType: any): "auto" | "off" | "on" | "torch";
}
